var dialogoFase={
	inicializado:false,	
	fasesExistentes:[], 
	 aexpe:"",
	 cexpe:"",
	 cserv:"",
	 modo2:"",
	 nexpe:"",
	 expeCod:"",
	 expeId:"",
	 documentoPif:"",
	 ocultarElementos:function(){
		 $("#dialogoEsperaDetalleFases").hide(); 
		// dialogoEsperaDetalleFase
	 },
	 //Abre el dialogo princila de fases
	 abrirDialogo:function(codigoEntrada,codExpediente,modoEntrada){
		 dialogoFase.documentoPif="";
			//	 codigoPrincipal = xhr.cserv20+"-"+xhr.cexpe20+"-"+xhr.aexpe20+"-"+xhr.nexpe20;
		 var cod;
		if(codigoEntrada==null||codigoEntrada==undefined) 
		 cod=codigoPrincipal.split("-");
		else
			cod=codigoEntrada.split("-");
		 dialogoFase.aexpe=cod[2];
		 dialogoFase.cexpe=cod[1];
		 dialogoFase.cserv=cod[0];
		 dialogoFase.nexpe=cod[3];
		 dialogoFase.expeCod=codExpediente;
		 dialogoFase.expeId=codigoPrincipal;
		if(modoEntrada==null||modoEntrada==undefined) 		 
			 dialogoFase.modo2=modo;
		else
			 dialogoFase.modo2=modoEntrada;
		
		dialogoFase.inicializar();

		if(dialogoFase.modo2 == "C"){
			$("[id='FasesExpedienteDetalle_toolbar##"+$.rup.i18n.base.rup_maint.new+"']").hide();
			$("[id='FasesExpedienteDetalle_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").hide();
			$("[id='FasesExpedienteDetalle_toolbar##"+$.rup.i18n.app.botonerasMantGenerales.eliminar+"']").hide();
		}else{
			$("[id='FasesExpedienteDetalle_toolbar##"+$.rup.i18n.base.rup_maint.new+"']").show();
			$("[id='FasesExpedienteDetalle_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").show();
			$("[id='FasesExpedienteDetalle_toolbar##"+$.rup.i18n.app.botonerasMantGenerales.eliminar+"']").show();
		}

		$("#FasesExpedienteDetalle_div").show(); 
					//$("#dialogoFasesExpediente").rup_dialog("destroy");
		$("#dialogoFasesExpediente").rup_dialog("open");
				
	 },
	 /**
	  * Función para copiar el documento adjunto de otra fase de otro expediente
	  */
	  handlerCopiarDocOtroExp:function(){
	 	$.rup_messages("msgConfirm", { 
	 		title: $.rup.i18n.app.mensajesMantGenerales.titPreguntaConfirmar,
	 		message: $.rup.i18n.app.mensajesMantGenerales.sustDoc,
	 		siNo:true,
	 		OKFunction: function() {
	 			
	 			
	 			$("#dialogSeleccionExpDocFase").rup_dialog({	
	 				type:$.rup.dialog.DIV,
	 				modal:true,
	 				height:660,
	 				width:800,	
	 				resizable:false,
	 				title:$.rup.i18n.app.btnFasesExpediente.copiarDocFaseExp,
	 				autoOpen:false,
	 				showLoading:true,
	 		        async:false, 
	 		        zIndex: -1,
	 		        buttons: [
	 		         	{
	 		         	  id:"guardar",
	 		         	  text:$.rup.i18n.app.botonerasMantGenerales.aniadir, 
	 		         	  css:"editar",
	 		         	  click: dialogoFase.guardarNdocuFaseExpediente
	 		         	}
	 		         	,{
	 		         	  id: "btnCerrarServicio",
	 		         	  text: $.rup.i18n.base.rup_global.cancel,
	 		         	  btnType: $.rup.dialog.LINK,
	 		         	  click: function(){
	 		         		 $("#dialogSeleccionExpDocFase").rup_dialog("close");
	 		         		 
	 		         	  }
	 		         	}]
	 			});
	 			
	 			$("#dialogSeleccionExpDocFase").rup_dialog("open");
	 			$("#FasesExpCopiaDoc").rup_table("filter");
	 			
	 		}
	 	});
	 },
	 /**
	  * Función que carga los datos en el diálogo
	  */
	 cargarDatos:function(){
		 $("#ui-dialog-title-dialogoFasesExpediente").html($.rup.i18n.app.aa21b20s01.consultaFasesExpedienteTit + " " + dialogoFase.expeCod);
		 dialogoFase.fasesExistentes=[];
		 $("#dialogoEsperaDetalleFases").show();
		 $("#cserv21_filter_table").val(dialogoFase.cserv);
		 $("#aexpe21_filter_table").val(dialogoFase.aexpe);
		 $("#cexpe21_filter_table").val(dialogoFase.cexpe);
		 $("#nexpe21_filter_table").val(dialogoFase.nexpe);
		 $("#FasesExpedienteDetalle").rup_table("clearGridData",true);
		 $("#dialogSeleccionExpDocFase").rup_dialog("open");
		 $("#FasesExpedienteDetalle").rup_table("filter");
	 	 $("#FasesExpCopiaDoc").rup_table("filter");
	     $("#dialogoEsperaDetalleFases").hide(); 
	     
	   //Combo multiselección Servicios para posterior búsqueda
	 	//$("#FasesExpedienteDetalle").rup_table("filter");
	    //Borrramos el combo
	     $("#cfase21_detail_table").remove();
	     //lo volvemos a añadir al contenedor
	     $("#conbocont1").html("<select type='text' name='cfase21' class='formulario_linea_input' id='cfase21_detail_table'></select>");
	     //Creamos el combo y pedimos que lo cargue
		$("#cfase21_detail_table").rup_combo(
			{
				source: "../aa21b01s01/comboFasesExpediente?cserv="+dialogoFase.cserv+"&cexpe="+dialogoFase.cexpe+"&fases="+dialogoFase.fasesExistentes,
				sourceParam : {
					label : idioma == 'es' ? "dfase01"
							: "efase01",
					value : "cfase01"
				},
				width : 510,
				showValue: true,
				token: " - ",
				blank:"",
				selected:"",
				change:function(){
					/**
					 * Obtención de datos de la fase 
					 * Al cambiar en el combo, obtenemos el valor del campo ndocu01
					 * para saber si tiene documento asociado o no
					 * 
					 */
					
					if($("#cfase21_detail_table").val() != ""){
						
						/**
						 * Si ha seleccionado una fase que ya existe, mostraremos mensaje en pantalla y no podrá seleccionarla
						 */
						var cfaseSel = $("#cfase21_detail_table").val();
						var existeFase = false;
						for(var i=0; i<dialogoFase.fasesExistentes.length;i++){
							if(cfaseSel == dialogoFase.fasesExistentes[i]){
								existeFase = true;
							}
						}
						
						if(!existeFase){
							dialogoFase.validacionDocumentoFaseOrigen();
						}else{
							$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.faseExiste});
							$("#cfase21_detail_table").val("");
							$("#cfase21_detail_table").rup_combo("setRupValue","");
						}	
					}	
					return false;
				}
			});
	 },
	 /**
	 * Función para copiar el documento adjunto de otra fase de este mismo expediente.
	 * 
	 */
	 handlerCopiarDocFase:function(){
		$.rup_messages("msgConfirm", { 
			title: $.rup.i18n.app.mensajesMantGenerales.titPreguntaConfirmar,
			message: $.rup.i18n.app.mensajesMantGenerales.sustDoc,
			siNo:true,
			OKFunction: function() {
				
				var numReg = $("#FasesExpedienteDetalle").rup_table("getDataIDs").length;
				if(numReg > 1){
					var posicionFaseActPasada = false;
					var mostrarFases = false;
					for(var i=0;i<numReg;i++){
						var idFase = $("#FasesExpedienteDetalle").rup_table("getRowData")[i].idFaseExp;
						var ndocu = $("#FasesExpedienteDetalle").rup_table("getRowData")[i].codPid21;
						var idFaseDetalle = $("#cserv20_detail_table").val() + "-" + $("#cexpe20_detail_table").val().substring($("#cexpe20_detail_table").val().indexOf("-")+1) + "-" + $("#aexpe21_detail_table").val() +  "-" + $("#nexpe21_detail_table").val() + "-" + $("#cfase21_detail_table").val();
						
						//Si alguna de las fases del expediente tiene documento, mostraremos la lista para 
						// que pueda copiar el documento de esa fase
						if(idFase != idFaseDetalle && ndocu != "" && ndocu != "0" && ndocu != null){
							mostrarFases = true;
							 var formdata = {};
							formdata["idFaseExp"] = idFase;
							formdata["cserv21"] = $("#FasesExpedienteDetalle").rup_table("getRowData")[i].cserv21;
							formdata["cexpe21"] = $("#FasesExpedienteDetalle").rup_table("getRowData")[i].cexpe21;
							formdata["cfase21"] = $("#FasesExpedienteDetalle").rup_table("getRowData")[i].cfase21;
	 					    formdata["dfase21"] = $("#FasesExpedienteDetalle").rup_table("getRowData")[i].dfase21;
	 					    formdata["efase21"] = $("#FasesExpedienteDetalle").rup_table("getRowData")[i].efase21;
	 					    formdata["aexpe21"] = $("#FasesExpedienteDetalle").rup_table("getRowData")[i].aexpe21;
	 					    formdata["nexpe21"] = $("#FasesExpedienteDetalle").rup_table("getRowData")[i].nexpe21;
							formdata["codPid21"] = ndocu;
							$("#FasesCopiaDoc").rup_table("addRowData", idFase, formdata, "last");
						}
					}
					if(mostrarFases){
						$("#dialogSeleccionDocFase").rup_dialog({	
							type:$.rup.dialog.DIV,
							modal:true,
							height:350,
							width:500,	
							resizable:false,
							title:$.rup.i18n.app.btnFasesExpediente.copiarDocFase,
							autoOpen:false,
							showLoading:true,
					        async:false, 
					        zIndex: -1,
					        buttons: [
					         	{
					         	  id:"guardar",
					         	  text:$.rup.i18n.app.botonerasMantGenerales.aniadir, 
					         	  css:"editar",
					         	  click: dialogoFase.guardarNdocuFase 
					         	}
					         	,{
					         	  id: "btnCerrarServicio",
					         	  text: $.rup.i18n.base.rup_global.cancel,
					         	  btnType: $.rup.dialog.LINK,
					         	  click: function(){
					         		 $("#dialogSeleccionDocFase").rup_dialog("close");
					         	  }
					         	}]
						});
						
						$("#dialogSeleccionDocFase").rup_dialog("open");
					}else{
						$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.noExistenFasesConDoc});
					}
				}else{
					$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.noExistenFasesConDoc});
				}
			}
		});
	},
	/**
	 * Documento asociado al la fase y expediente (tabla 21 con 23)
	 */
	 handlerVerDocAsociado:function(){
			
		/**
		 * Pongo el action de copiar documento con las variables sin valor, para que no haga la copia del documento de la fase
		 */
		jQuery("#FasesExpedienteDetalle_detail_form").attr("method","POST");
		jQuery("#FasesExpedienteDetalle_detail_form").attr("action","/aa21bOrgDocumentalWar/aa21b21s01/copiarDocumentoFase?idFaseExp=&ndocuFase=");
		
		var url="../aa21b21s01/getDocumentoFaseExpediente?idFaseExp="+$("#cserv20_detail_table").val() + "-" + $("#cexpe20_detail_table").val().substring($("#cexpe20_detail_table").val().indexOf("-")+1) + "-" + $("#aexpe21_detail_table").val() +  "-" + $("#nexpe21_detail_table").val() + "-" + $("#cfase21_detail_table").val();
		window.location.href=url;
	},
	/**
	 * Documento asociado a la fase (tabla 01 con 23)
	 * Es el que se hará copia y guardará asociado al expediente (21) en caso de crear la fase 
	 */
	 handlerVerDocFase:function(){
			$("#dialogoEsperaDetalleFasesDetail").show();
		/**
		 * Botón de alta de añadir y editar
		 * Se abre el fichero de pid (si lo tiene) para edición online, y se guarda en el path de ficheros.
		 * Si la fase tiene documento asociado, 
		 */
		//$("#codigoPid21_detail_table").val($("#ndocuAsociado").val());
		$("#extdocu21_detail_table").val($("#extdocuAsociado").val());
		$("#tdocu21_detail_table").val($("#tdocuAsociado").val());
		if(dialogoFase.modo2 != "C")
			$("#FasesExpedienteDetalle_detail_button_save").show();
		else
			$("#FasesExpedienteDetalle_detail_button_save").hide();
		
		/**
		 * Pongo el action de copiar documento con las variables sin valor, para que no haga la copia del documento de la fase 
		 */
		jQuery("#FasesExpedienteDetalle_detail_form").attr("method","POST");
		jQuery("#FasesExpedienteDetalle_detail_form").attr("action","/aa21bOrgDocumentalWar/aa21b21s01/copiarDocumentoFase?idFaseExp=&ndocuFase=");
		
		//Si solamente hay que abrir el archivo
		var url="";
		
		if($("#codigoPid21_detail_table").val()==null||$("#codigoPid21_detail_table").val()=="")
		 url="../aa21b01s01/getDocumentoFaseEdit?idFaseExp="+$("#cserv20_detail_table").val() + "-" + $("#cexpe20_detail_table").val().substring($("#cexpe20_detail_table").val().indexOf("-")+1) + "-" + $("#cfase21_detail_table").val();
		else
			url="../aa21b21s01/getDocumentoFaseEdit?codPid21="+$("#codigoPid21_detail_table").val();
		
		$.ajax({
			type : "GET",
			dataType : "json",			
			contentType : "application/json",
			url : url,
			success : function(xhr, options) {
				//Llamo a la función que pone la pantalla como expediente cerrado
				window.open(xhr[0]);
				dialogoFase.documentoPif=xhr[1];
				$("#pathDocPif_detail_table").val(xhr[1]);
				$("#dialogoEsperaDetalleFasesDetail").hide();
				
			}});
		
		
	},
	//Función que inicializa los componentes del dialogo
	 inicializar:function(){
		
		 if(!this.inicializado){
			 this.inicializado=true;
		 
			//Oculto los botones de la capa de filtro de la pantalla de fases expedientes
			$("#FasesExpedienteDetalle_filter_toolbar").hide();
		
			//Campos fechas
			$("#fprevi21_detail_table").rup_date();
			$("#freal21_detail_table").rup_date();
			
			//Botonera pantalla de detalle de fases expediente
			$("#FasesExpedienteDetalle_detail_toolbar").rup_toolbar({
				
				buttons:[
				         { 
				        	 id: "copiar_doc_fase",
				        	 i18nCaption:$.rup.i18n.app.btnFasesExpediente.copiarDocFaseAcor, 
				        	 css:"copiaDocFase", 
				        	 click:this.handlerCopiarDocFase
				         },
				         { 
				        	 id: "copiar_doc_faseExp",
				        	 i18nCaption:$.rup.i18n.app.btnFasesExpediente.copiarDocFaseExpAcor,
				        	 css:"copiaDocExp", 
				        	 click:this.handlerCopiarDocOtroExp
				         },
				         { 
				        	 id: "verDocFaseAsoc",
				        	 i18nCaption:$.rup.i18n.app.btnFasesExpediente.verDocAsocAcor, 
				        	 css:"verDocFase", 
				        	 click:this.handlerVerDocAsociado
				         },
				         { 
				        	 id: "verDocFase",
				        	 i18nCaption:$.rup.i18n.app.btnFasesExpediente.verDocFaseAcor, 
				        	 css:"verDocFase", 
				        	 click:this.handlerVerDocFase
				         }
				        ]
			});
			$("[id='FasesExpedienteDetalle_detail_toolbar##verDocFaseAsoc']").attr("title",$.rup.i18n.app.btnFasesExpediente.verDocumentoAsociado);
			$("[id='FasesExpedienteDetalle_detail_toolbar##verDocFase']").attr("title",$.rup.i18n.app.btnFasesExpediente.verDocumentoFase);
			$("[id='FasesExpedienteDetalle_detail_toolbar##copiar_doc_fase']").attr("title",$.rup.i18n.app.btnFasesExpediente.copiarDocFase);
			$("[id='FasesExpedienteDetalle_detail_toolbar##copiar_doc_faseExp']").attr("title",$.rup.i18n.app.btnFasesExpediente.copiarDocFaseExp);
			$("#FasesExpedienteDetalle_detail_toolbar").hide();
			$("[id='FasesExpedienteDetalle_detail_toolbar##verDocFaseAsoc']").hide();
			$("[id='FasesExpedienteDetalle_detail_toolbar##copiar_doc_faseExp']").hide();
			$("[id='FasesExpedienteDetalle_detail_toolbar##copiar_doc_fase']").hide();

			//Tabla grid fases expediente detalle
			$("#FasesExpedienteDetalle").rup_table({
				rowNum:20,
				url: "../aa21b21s01",
				colNames: [
					"idFaseExp",
					"cserv21",
					"cexpe21",
					"aexpe21",
					"nexpe21",
					"cfase21",
					 $.rup.i18n.app.aa21b21s01.dfase21,
					 $.rup.i18n.app.aa21b21s01.fprevi21,
					 $.rup.i18n.app.aa21b21s01.freal21,
					 "codPid21"
				],
				colModel: [
				    { 	name: "idFaseExp", 
		 				label: "idFaseExp",
		 				hidden: true 
					},
					{ 	name: "cserv21", 
					 	label: "cserv21",
						hidden: true 
					},
					{ 	name: "cexpe21", 
					 	label: "cexpe21",
						hidden: true 
					},
					{ 	name: "aexpe21", 
					 	label: "aexpe21",
						hidden: true 
					},
					{ 	name: "nexpe21", 
					 	label: "nexpe21",
						hidden: true 
					},
					{ 	name: "cfase21", 
					 	label: "",
					 	width: 20,
						hidden: true 
					},
					{ 	name: idioma=='es'?"dfase21":"efase21",
					 	label: idioma=='es'?"dfase21":"efase21",
						align: "left", 
						width: 240, 
						editable: true, 
						fixed: false, 
						hidden: false, 
						resizable: true, 
						sortable: true
					},
					{ 	name: "fprevi21", 
					 	label: "fprevi21",
						align: "left", 
						width: 120, 
						editable: true, 
						formatter:"date",
						fixed: false, 
						hidden: false, 
						resizable: true, 
						sortable: true
					},
					{ 	name: "freal21", 
					 	label: "freal21",
						align: "left", 
						width: 120, 
						editable: true, 
						fixed: false, 
						hidden: false, 
						resizable: true, 
						sortable: true
					},
					{ 	name: "codPid21", 
					 	label: "codPid21",
						hidden: true 
					}
		        ],
		
		        model:"Aa21b21s01",
		        usePlugins:[
					"formEdit",
		        	"feedback",
					"toolbar",
		        	"fluid",
		        	"filter"
		         	],
				primaryKey: "idFaseExp",
				sortname: "cfase21",
				sortorder: "asc",
				loadOnStartUp: false,
				loadComplete:dialogoFase.fncTableCompleteFasesExpedientes,
				toolbar:{
					newButtons:[
					    {
					    	id:"detalle",
					    	obj: {id:"detalle",i18nCaption:$.rup.i18n.app.botonerasMantGenerales.detalle, css: "detalle"},
					    	ocultar:true,
					    	comportamiento:"edit",
					    	click:dialogoFase.handlerConsulta
					    }
					]
				},
				afterInsertRow : function(rowid, rowdata) {
					dialogoFase.fasesExistentes.push(rowdata.cfase21);
				},
				addCaption:"mierda",
				editCaption:"en bote",
		        formEdit:{
		        	detailForm: "#FasesExpedienteDetalle_detail_div",
					fillDataMethod: "clientSide",
				
					addOptions:{
						beforeShowForm:function(){
							
							$("#FasesExpedienteDetalle_detail_link_cancel").css("display","block");
							$("#FasesExpedienteDetalle_detail_button_save").hide();
							
							$("#FasesExpedienteDetalles_detail_div :input").removeAttr("readonly");
							$("#FasesExpedienteDetalle_detail_link_cancel").css("display","block");
							
							$("#cfase21_detail_table").rup_combo("enable");
							$("#cfase21_detail_table").rup_combo("setRupValue","");
							
							$("#fprevi21_detail_table").rup_date("enable");
							$("#freal21_detail_table").rup_date("enable");
							
							$("[id='FasesExpedienteDetalle_detail_toolbar']").hide();
							$("[id='FasesExpedienteDetalle_detail_toolbar##copiar_doc_faseExp']").hide();
							$("[id='FasesExpedienteDetalle_detail_toolbar##copiar_doc_fase']").hide();
							
							$("#labelObligFase").show();
							$(".asterisco").show();


						}	,
						
						
						width:600
					},
					editOptions:{
						
						beforeShowForm:function(){
							$("#FasesExpedienteDetalle_detail_button_save").hide();
							//Si es consulta deshabilitaremos los campos
							if(dialogoFase.modo2 == "C"){
								$("#FasesExpedienteDetalle_detail_div :input").attr("readonly","readonly");
								$("#FasesExpedienteDetalle_detail_link_cancel").css("display","none");
								
								$("#cfase21_detail_table").rup_combo("disable");
								
								$("#fprevi21_detail_table").rup_date("disable");
								$("#freal21_detail_table").rup_date("disable");
								
								$("[id='FasesExpedienteDetalle_detail_toolbar##copiar_doc_faseExp']").hide();
								$("[id='FasesExpedienteDetalle_detail_toolbar##copiar_doc_fase']").hide();
								
								$("#labelObligFase").hide();
								$(".asterisco").hide();
								$(".ui-selectmenu-status").css("color","black");
		
							}else{
								$("#labelObligFase").show();
								$(".asterisco").show();
								
								$("#FasesExpedienteDetalle_detail_div :input").removeAttr("readonly");
								$("#FasesExpedienteDetalle_detail_link_cancel").css("display","block");
								
								$("#cfase21_detail_table").rup_combo("disable");
								
								$("#fprevi21_detail_table").rup_date("enable");
								$("#freal21_detail_table").rup_date("enable");
								
								
								$("[id='FasesExpedienteDetalle_detail_toolbar##copiar_doc_faseExp']").show();
								$("[id='FasesExpedienteDetalle_detail_toolbar##copiar_doc_fase']").show();
								
							}
							$("#fprevi21_detail_table").rup_date("hide");
							$("#freal21_detail_table").rup_date("hide");
							
							dialogoFase.validacionExisteDocumentoAsociado();
							
							
						},
						reloadAfterSubmit:true,
						width:600
						
						//editCaption:"en bote"
					},
					addEditOptions:{
						afterShowForm:function(){
							
							$("#FasesExpedienteDetalle_detail_div").parent().css("width","65%");
							$("#FasesExpedienteDetalle_detail_div").parent().css("left","17%");
							$("#dialogoEsperaDetalleFasesDetail").hide();
							$("#cserv21_detail_table").val(dialogoFase.cserv);
							$("#cexpe21_detail_table").val(dialogoFase.cexpe);
							$("#aexpe21_detail_table").val(dialogoFase.aexpe);
							$("#nexpe21_detail_table").val(dialogoFase.nexpe);
/*
							$("#cserv21_filter_table").val(this.cserv);
							$("#cexpe21_filter_table").val(this.cexpe);
							$("#aexpe21_filter_table").val(this.aexpe);
							$("#nexpe21_filter_table").val(this.nexpe);
							$("#cserDet").val(this.cserv);
							$("#cexpeDet").val(this.cexpe);
							$("#aexpeDet").val(this.aexpe);
							$("#nexpeDet").val(this.nexpe);*/
							/**Funcion para que aparezca el botón guardar o no detalle**/
							validacionBotonGuardado('FasesExpedienteDetalle');
							
							/**
							 * Hacer que cuando haga click en los botones de navegación recargue
							 * correctamente la validacion del botón guardar
							 */
							$("#first_FasesExpedienteDetalle").on('click', function(){
								validacionBotonGuardado('FasesExpedienteDetalle');
							});
							$("#back_FasesExpedienteDetalle").on('click', function(){
								validacionBotonGuardado('FasesExpedienteDetalle');
							});
							$("#forward_FasesExpedienteDetalle").on('click', function(){
								validacionBotonGuardado('FasesExpedienteDetalle');
							});
							$("#last_FasesExpedienteDetalle").on('click', function(){
								validacionBotonGuardado('FasesExpedienteDetalle');
							});
						},
						reloadAfterSubmit:true,
						width:600
						//addCaption:"mierda"
					},
					deleteOptions:{
						/* INI: BLOQUEO Y DESBLOQUEO */
						//afterShowForm:function(){
						//	jQuery("#delmodFasesExpedienteDetalle").off("dialogclose.bloqueo").on("dialogclose.bloqueo", function() {
						//		desbloquear(jQuery("#FasesExpedienteDetalle"), "aa21b21s01");
						//	});
						//},
						reloadAfterSubmit:true
						/* FIN: BLOQUEO Y DESBLOQUEO */
					},
		         	validate:{ 
		    			rules:{
		    				"cserv21":{
								required: true
		    					},
		    				"cexpe21":{
								required: true
		    					},
		    				"aexpe21":{
								required: false
		    					},
		    				"nexpe21":{
								required: false
		    					},
		   					"cfase21":{
		   						required: false
		      					}
		    				}
		    		}
		        },
		        onPaging: function(){
					$("#FasesExpedienteDetalle").rup_table("deselectAllRows");
				}
			});
			/**
			 * Pongo el action de copiar documento con las variables sin valor, para que no haga la copia del documento de la fase
			 */
			jQuery("#FasesExpedienteDetalle_detail_form").attr("method","POST");
			jQuery("#FasesExpedienteDetalle_detail_form").attr("action","/aa21bOrgDocumentalWar/aa21b21s01/copiarDocumentoFase?idFaseExp=&ndocuFase=");
			
			//Compruebo si ha seleccionado más de un registro que no pueda eliminar
			jQuery("#FasesExpedienteDetalle").on("jqGridSelectRow", function(event, form, oper) {
				comprobacionEliminar('FasesExpedienteDetalle');
				
				var indiceSel = $("#FasesExpedienteDetalle").rup_table("getSelectedLines");
				var fase = $("#FasesExpedienteDetalle").rup_table("getRowData")[indiceSel];
				
				
				$("#faseCopiaExp").val(fase.cfase21);
				$("#servicioCopiaExp").val(fase.cserv21);
				$("#tipoExpCopiaExp").val(fase.cexpe21);
			});
			
			/* INI: BLOQUEO Y DESBLOQUEO */
			jQuery("#FasesExpedienteDetalle").on("rupTable_beforeDeleteRow", function(event, row) {
				//Elimino del array de fases el registro eliminado
				dialogoFase.fasesExistentes.splice(row.cfase21);
			//	return bloquear('edit', $(this), "aa21b21s01", "cfase21");
			});
			//jQuery("#FasesExpedienteDetalle").on("jqGridAddEditBeforeInitData", function(event, form, oper) {
			//	if(dialogoFase.modo2 != "C"){
			//		return bloquear(oper, $(this), "aa21b21s01", "cfase21");
			//	}else{
			//		return true;
			//	}	
			//});
			//jQuery("#FasesExpedienteDetalle_detail_div").on("dialogclose", function() {
			//	if(dialogoFase.modo2 != "C"){
			//		desbloquear(jQuery("#FasesExpedienteDetalle"), "aa21b21s01");
			//	}
			//});
			
			//jQuery(window).bind('beforeunload', function() {
			//    // Aquí iría la función que desbloquea : 
			//	if(dialogoFase.modo2 != "C"){
			//		desbloquear(jQuery("#FasesExpedienteDetalle"), "aa21b21s01");
			//	}	
			//});
		
			/**
			 * Función al cerrar la ventana de detalle de fases expediente
			 * Compruba si tiene todas las fases con fecha de cierre además de
			 * inicializar la pantalla para la siguiente vez que se invoque
			 */
			jQuery("#FasesExpedienteDetalle_detail_div").on("dialogclose", function() {
				if(dialogoFase.modo2 != "C"){
					
					$("#dialogSeleccionDocFase").rup_dialog("destroy");
					
					//Limpio la pantalla para que cuando vuelva a abrirla este incializada
					$("#FasesExpCopiaDoc_filter_summary").html("<i></i>");
					$("#FasesExpCopiaDoc_filter_toolbar").html("");
					
					$("#FasesExpCopiaDoc").rup_table("resetForm", $("#ExpedientesNuevos_filter_form"));
					$("#FasesExpCopiaDoc").rup_table("clearGridData",true);
					
					$("#dialogSeleccionExpDocFase").rup_dialog("destroy");
					//$("#FasesExpedienteDetalle").rup_table("clearGridData");
					
					$("#FasesExpedienteDetalle").rup_table("filter");
					
					
					
					/**Comprobamos si para este tipo de expediente ya tiene todas las fases creadas en el
					 * expediente. Obtenemos el campo servicio y tipo de expediente de la tabla para buscar en 
					 * la BBDD en la tabla de fases por ese tipo de expediente
					 */
					var registros = [];
					registros = $("#FasesExpedienteDetalle").rup_table("getDataIDs");
					if(registros.length != 0){
						var expFase = $("#FasesExpedienteDetalle").rup_table("getRowData")[0];
						
						var send = {};
						send["cserv01"] = expFase.cserv21;
						send["ctipoe01"] = expFase.cexpe21;
						var dt = jQuery.toJSON(send);
						$.ajax({
							type : "POST",
							dataType : "json",
							data : dt,
							contentType : "application/json",
							url :  "/aa21bOrgDocumentalWar/aa21b01s01/obtenerFasesPorTipoExp",
							beforeSend : function(xhr, settings) {
								xhr.setRequestHeader("bean", "Aa21b01s01");
							},
							success : function(xhr, options) {
								if(xhr!=null){
								   datosFases = xhr;
								   var numFasesTipo = datosFases.length;
								   
								setTimeout(function() {   
								   
								   var numFasesExpActual = [];
								   numFasesExpActual = $("#FasesExpedienteDetalle").rup_table("getDataIDs");
								   /** Si coincide el número de fases del exp actual con el número de fases que le corresponden
								    * por tipo de expediente, comprobamos fechas
								    */
								   if(numFasesExpActual.length != 0 && numFasesExpActual.length == numFasesTipo){
									   /**
										 * Si tiene todas las fases, comprobamos las fecha de cierre para ver si están todas 
										 * finalizadas y debemos mostrar la pregunta para cerrar el expediente
										 */ 
									   
										var cerrar = false;
										var algunaFaseAbierta = [];
										var fasecerrada = false;
										for(var i=0;i<numFasesExpActual.length;i++)
										{
											$('#FasesExpedienteDetalle').trigger('reloadGrid');
											var exp = $("#FasesExpedienteDetalle").rup_table("getRowData")[i];
											
											if(exp != null && exp.freal21 != ""){
												//Si alguna fecha de cierre esta en blanco
												//no se debe de cerrar el expediente
												if(exp.cfase21 != $("#cfase21_detail_table").val() && (exp.freal21 == null || exp.freal21 == "")){
													fasecerrada = false;
												}
												
												//Comparar con la fecha actual para ver si la fase está cerrada
												/*var fechaActual = new Date();
												fechaActual.setHours(0,0,0,0);
												var dia_real; 
												var mes_real; 
												var anio_real;
												if(idioma == "es"){
													dia_real = exp.freal21.substring(0,2);
													mes_real = exp.freal21.substring(3,5);
													anio_real = exp.freal21.substring(6);
												}else{
													anio_real = exp.freal21.substring(0,4);
													mes_real = exp.freal21.substring(5,7);
													dia_real = exp.freal21.substring(8);
												}
												var fechaRealFase = new Date(anio_real,mes_real-1,dia_real);
												fechaRealFase.setHours(0,0,0,0);
												if(fechaRealFase < fechaActual || fechaRealFase.getTime() == fechaActual.getTime()){
													fasecerrada = true;
												}else{
													fasecerrada = false;
												}*/
												if(exp.freal21 != ""){
													fasecerrada = true;
												}else{
													fasecerrada = false;
												}
											}else{
												fasecerrada = false;
											}
											algunaFaseAbierta[i] = fasecerrada;
										}
										cerrar = true;
										for(var z=0;z<algunaFaseAbierta.length;z++){
											if(!algunaFaseAbierta[z]){
												cerrar = false;
											}
										}
										
										//IKER . por si Eva quiere quitar la opción de cerrar el expediente
										//cerrar=false;
										if(cerrar)
										{
											$.rup_messages("msgConfirm", { 
												title: $.rup.i18n.app.mensajesMantGenerales.msjExpCerradoTit,
												message: $.rup.i18n.app.mensajesMantGenerales.msjConfirmarCerrarExpediente,
												siNo:true,
												OKFunction:function() {
								        			var send = {};
								    				send["refExp"] = $("#refExp_detail_table").val();
								        			send["grupo"] = $("#grupo_detail_table").val();
								        			send["cserv20"] = $("#cserv20_detail_table").val();
								        			send["cexpe20"] = $("#cexpe20_detail_table").val().substring($("#cexpe20_detail_table").val().indexOf("-")+1);
								        			send["nexpe20"] = $("#nexpe20_detail_table").val();
								        			send["aexpe20"] = $("#aexpe20_detail_table").val();
								        			send["faper20"] = $("#faper20_detail_table").val();
								        			send["fvto20"] = $("#fvto20_detail_table").val();
								        			send["objeto20"] = $("#objeto20_detail_table").val();
								        			send["eimpor20"] = formatoUpdate($("#eimpor20_detail_table").val());
								        			send["eimpora20"] = formatoUpdate($("#eimpora20_detail_table").val());
								        			send["refer20"] = $("#refer20_detail_table").val();
								        			send["carchi20"] = $("#carchi20_detail_table").val();
								        			send["crespo20"] = $("#crespo20_detail_table").val();
								        			send["cdepar20"] = $("#depar20_detail_table").val();
								        			send["obser20"] = $("#obser20_detail_table").val();
								        			send["cpais20"] = $("#cpais20_detail_table").val();
								        			send["cprov20"] = $("#cprov20_detail_table").val();
								        			send["cmuni20"] = $("#cmuni20_detail_table").val();
								        			
								        			send["cesta20"] = 1;
								        			$("#fcier20_detail_table").rup_date("setDate",new Date());
								        			send["fcier20"] = $("#fcier20_detail_table").val();
								        			
								    				
								    				var dt = jQuery.toJSON(send);
								        			var	url = "/aa21bOrgDocumentalWar/aa21b20s01/actualizarExpediente?respActualizado=false&listaExpAsociados=&listaDesasociar=";
								        			
								        			$.ajax({
								        				type : "POST",
								        				dataType : "json",
								        				data : dt,
								        				contentType : "application/json",
								        				url : url,
								        				beforeSend : function(xhr, settings) {
								        					xhr.setRequestHeader("bean", "Aa21b20s01");
								        				},
								        				success : function(xhr, options) {
								        					//Llamo a la función que pone la pantalla como expediente cerrado
								        					dialogoDetalleExpediente.expedienteCerrado();
								        					$("#dialogoFasesExpediente").rup_dialog("close");
								        					$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.msjExpCerrado + ": " +  $("#refExp_detail_table").val()});
								        					
								        				},
								        				error : function(xhr, ajaxOptions, thrownError) {
								        					 var errorTXT = $.rup.i18nParse($.rup.i18n.base,"rup_maint.validateError"), errors = null, errorKey = null, causedErrors = null, errMsg = "", errorMesg = "";
								        					 if (xhr.responseText != null && xhr.responseText != "") {	
								        						 if (xhr.status === 406) {//si ha habido algun error...
								        							 $("#FasesExpedienteDetalle_feedback").rup_feedback("option", "delay", null);
								        							 $("#FasesExpedienteDetalle_feedback").rup_feedback("set",errorTXT + " " + xhr.responseText,"error");
								        							 $("#FasesExpedienteDetalle_feedback").rup_feedback("option", "delay", defaultDelay);
								        						 } else {
								        							 $("#FasesExpedienteDetalle_feedback").rup_feedback("option", "delay", null);
								        							 $("#FasesExpedienteDetalle_feedback").rup_feedback("set", errorTXT, "error");								
								        							 $("#FasesExpedienteDetalle_feedback").rup_feedback("option", "delay", defaultDelay);
								        						 }
								        					 }
								        				}
								        			});
								        		}
											});
										}
								   	}
								   
								}, 300);
								   
								   
								}
							},
							error : function(xhr, ajaxOptions, thrownError) {
								 var errorTXT = $.rup.i18nParse($.rup.i18n.base,"rup_maint.validateError"), errors = null, errorKey = null, causedErrors = null, errMsg = "", errorMesg = "";
								 if (xhr.responseText != null && xhr.responseText != "") {	
									 if (xhr.status === 406) {//si ha habido algun error...
										 $("#Expedientes_feedback").rup_feedback("option", "delay", null);
										 $("#Expedientes_feedback").rup_feedback("set",errorTXT + " " + xhr.responseText,"error");
										 $("#Expedientes_feedback").rup_feedback("option", "delay", defaultDelay);
									 } else {
										 $("#Expedientes_feedback").rup_feedback("option", "delay", null);
										 $("#Expedientes_feedback").rup_feedback("set", errorTXT, "error");								
										 $("#Expedientes_feedback").rup_feedback("option", "delay", defaultDelay);
									 }
								 }
							}
						});
					}
					//desbloquear(jQuery("#FasesExpedienteDetalle"), "aa21b21s01");
				}
				$("#modoDetalle21").val("");
				dialogoFase.modo2="";
			});
			/* FIN: BLOQUEO Y DESBLOQUEO */
			 $("#dialogoFasesExpediente").rup_dialog({
					type:$.rup.dialog.DIV,
					//url:"/aa21bOrgDocumentalWar/aa21b20s01/consultarfasesexpediente"+codigoEnvio+"&modo="+modo,
					modal:true,
					height:625,
					width:935,	
					resizable:false,
					title:$.rup.i18n.app.aa21b20s01.consultaFasesExpedienteTit + " " + $("#refExp_detail_table").val(),
					autoOpen:false,
					showLoading:true,
					async:false ,
					open:this.cargarDatos
				}); 
			/**
			 * Al cerrar la ventana de fases, hago un destroy del formulario edición, añadir de fases
			 * para que al volver a entrar en la pantalla este inicializada
			 */
			jQuery("#dialogoFasesExpediente").on("dialogclose", function() {
				//$("#FasesExpedienteDetalle_detail_div").rup_dialog("destroy");
				$("#FasesExpedienteDetalle_div").hide();
				$("#dialogoEsperaDetalleFases").show();
			});
			
			
			
			
			
			
			
			//Ocultamos el botón de clonar
			$("[id='FasesExpedienteDetalle_toolbar"+$.rup.i18n.base.rup_maint.clone+"']").hide();
			
		
		//	$("#FasesExpedienteDetalle").rup_table("filter");
			
			//Asigno las funciones a los botones
			$("[id='ver_documento_fase']").click(this.handlerVerDocFase);
			$("[id='ver_documento_fase_asoc']").click(this.handlerVerDocAsociado);
			$("[id='copiar_doc_fase']").click(this.handlerCopiarDocFase);
			$("[id='copiar_doc_faseExp']").click(this.handlerCopiarDocOtroExp);
		
		
		
			//Al cerrar la ventana de seleccion documento limpio los registros de la 
			//tabla fases copia
			jQuery("#dialogSeleccionDocFase").on("dialogclose", function() {
				$("#FasesCopiaDoc").rup_table("clearGridData",true);
			});
		
		
			//Tabla grid fases copia
			$("#FasesCopiaDoc").rup_table({
				rowNum:10,
				//url: "../aa21b21s01",
				colNames: [
					"idFaseExp",
					 $.rup.i18n.app.aa21b21s01.dfase21,
					 "codPid21",
					 "cserv21",
					 "cexpe21",
					 "cfase21",
					 "aexpe21",
					 "nexpe21"
				],
				colModel: [
				    { 	name: "idFaseExp", 
		 				label: "idFaseExp",
		 				hidden: true 
					},
					{ 	name: idioma=='es'?"dfase21":"efase21",
					 	label: idioma=='es'?"dfase21":"efase21",
						align: "left", 
						width: 350, 
						editable: true, 
						fixed: false, 
						hidden: false, 
						resizable: true, 
						sortable: false
					},
					{ 	name: "codPid21", 
					 	label: "codPid21",
						hidden: true 
					},
					{ 	name: "cserv21", 
					 	label: "cserv21",
						hidden: true 
					},
					{ 	name: "cexpe21", 
					 	label: "cexpe21",
						hidden: true 
					},
					{ 	name: "cfase21", 
					 	label: "cfase21",
						hidden: true 
					},
					{ 	name: "aexpe21", 
					 	label: "aexpe21",
						hidden: true 
					},
					{ 	name: "nexpe21", 
					 	label: "nexpe21",
						hidden: true 
					}
		        ],
		
		        model:"Aa21b21s01",
		        usePlugins:[
		        			"toolbar",
		                	"filter"
		                 	],
		        filter:{
		        		},
				primaryKey: "idFaseExp",
				sortname: "fprevi21",
				sortorder: "asc",
				loadOnStartUp: false,
				toolbar:{
					defaultButtons:[{}]
				}
			});
			
			//Oculto de la barra de paginación lo que no me interesa de la tabla asociados
			$("#FasesCopiaDoc_pager").hide();
			
			
			//Tabla grid Fases exp copia
			$("#FasesExpCopiaDoc").rup_table({
				rowNum:10,
				url: "../aa21b20s01",
				colNames: [
				    "id",
					"cserv20",
					$.rup.i18n.app.aa21b20s01.cexpe20,
					$.rup.i18n.app.aa21b20s01.cexpe20,
					"aexpe20",
					"nexpe20",
					$.rup.i18n.app.aa21b20s01.objeto20,
					$.rup.i18n.app.aa21b20s01.cesta20
				],
				colModel: [
		           { 	
				    	name: "idExpe", 
		 				label: "id", 
						hidden: true 
					},       
					{ 	name: "cserv20", 
					 	label: "cserv20",
						hidden: true 
					},
					{ 	name: "refExp", 
					 	label: "refExp",
						align: "left", 
						width: 200, 
						editable: true, 
						fixed: false, 
						hidden: false, 
						resizable: true, 
						sortable: true
					},
					{ 	name: "cexpe20", 
					 	label: $.rup.i18n.app.aa21b20s01.cexpe20,
						hidden: true 
					},
					{ 	name: "aexpe20", 
					 	label: "aexpe20",
						hidden: true 
					},
					{ 	name: "nexpe20", 
					 	label: "nexpe20",
						hidden: true 
					},
					{ 	name: "objeto20", 
					 	label: $.rup.i18n.app.aa21b20s01.objeto20,
						align: "left", 
						width: 550, 
						editable: true, 
						fixed: false, 
						hidden: false, 
						resizable: true, 
						sortable: true
					},
					{ 	name: "cesta20", 
					 	label: $.rup.i18n.app.aa21b20s01.cesta20,
						hidden: true 
						
					}
		        ],
		
		        model:"Aa21b20s01",
		        usePlugins:[
					"feedback",
					"toolbar",
		        	"filter"
		         	],
		         	primaryKey: "idExpe",
		    		sortname: "cexpe20",
		    		sortorder: "desc",
		    		loadOnStartUp: false,
				//loadComplete:fncTableCompleteExpedientesNuevos,
		        onPaging: function(){
					$("#FasesExpCopiaDoc").rup_table("deselectAllRows");
				},
				toolbar:{
					defaultButtons:[{}]
				},
				filter:{
					url:"../aa21b20s01/filter"
				}
			});
		
			//Oculto los botones y partes de paginación del grid
			$("#first_FasesExpCopiaDoc_pager").hide();
			$("#last_FasesExpCopiaDoc_pager").hide();
			$("#FasesExpCopiaDoc_pager_left").hide();
			
			
			//Deshabilito las funciones por defecto de UDA
			$("#FasesExpCopiaDoc").on("rupTable_beforeEditRow", function(deleteOptions,selectedRow){
				return false;
			});
			$("#FasesExpCopiaDoc").on("jqGridDblClickRow", function(event, form, oper) {
				return false;
			});
			$("#FasesExpCopiaDoc").on("jqGridAddEditBeforeInitData", function(event, form, oper) {
				return false;
			});
			
			
			
			//FILTRO Expedientes nuevos
			
			//Combo tipos expedientes detalle
			$("#cexpe20docFase_filter_table").rup_combo(
			{
				source: "../aa21b02s01/comboTiposExpedientes",
				sourceParam : {
					label : idioma == 'es' ? "dtipoe02"
							: "etipoe02",
					value : "ctipoe02"
				},
				width : "400",
				blank: "",
				selected:$("#cexpe20_detail_table").val().substring($("#cexpe20_detail_table").val().indexOf("-")+1)
			});
			
			
			/*$("#FasesExpedienteDetalle_detail_button_save").click(function(){
				$("#dialogoEsperaDetalleFasesDetail").show();
			});*/
			
			
			$("#dialogoEsperaDetalleFases").hide();
			 
		 }
		 else{//está inicializado
			 $("#fprevi21_detail_table").rup_date("destroy");
				$("#freal21_detail_table").rup_date("destroy");
			 $("#fprevi21_detail_table").rup_date();
				$("#freal21_detail_table").rup_date();
		 }
		 },
		 guardarNdocuFaseExpediente:function(){
			if($("#FasesExpCopiaDoc").rup_table("getSelectedRows").length == 1){
				
				$("#dialogoEsperaDetalleFasesDetail").show();
				var lineaSel = $("#FasesExpCopiaDoc").rup_table("getSelectedLines");
				
				var cservExp = $("#FasesExpCopiaDoc").rup_table("getRowData")[lineaSel].cserv20;
				var cexpeExp = $("#FasesExpCopiaDoc").rup_table("getRowData")[lineaSel].cexpe20;
				var aexpeExp = $("#FasesExpCopiaDoc").rup_table("getRowData")[lineaSel].aexpe20;
				var nexpeExp = $("#FasesExpCopiaDoc").rup_table("getRowData")[lineaSel].nexpe20;
				var cfaseExp = $("#cfase21_detail_table").val();
				
				var idFaseExp = cservExp+"-"+cexpeExp+"-"+aexpeExp+"-"+nexpeExp+"-"+cfaseExp;
				
				/**
				 * Busco que el expediente seleccionado tenga la misma fase y que la fase tenga documento (codPid21 != 0)
				 */
				$.ajax({
					type : "GET",
					dataType : "json",
					url : "../aa21b21s01/" + idFaseExp, 
					cache : false,
					success : function(xhr, response) {
						datosFaseExpediente = xhr;
						
						if(datosFaseExpediente != null){
							var ndocuFaseExp = datosFaseExpediente.codPid21;
						if(ndocuFaseExp != null && ndocuFaseExp != "" && ndocuFaseExp != "0"){
								
							//Abrimos el documento de la fase asociada en modo edición		
							var	url="../aa21b21s01/getDocumentoFaseEdit?codPid21="+ndocuFaseExp;
							$.ajax({
								type : "GET",
								dataType : "json",			
								contentType : "application/json",
								url : url,
								success : function(xhr, options) {
									//abro el documento y guardo el path dle documento en pid para guardarlo
									window.open(xhr[0]);
									dialogoFase.documentoPif=xhr[1];
									$("#pathDocPif_detail_table").val(xhr[1]);
									$("#dialogoEsperaDetalleFasesDetail").hide();
								}});
							//Muestro el botón de guardar y cierro el dialogo de copia de fases
							
								$("#FasesExpedienteDetalle_detail_button_save").show();
								$("#dialogSeleccionExpDocFase").rup_dialog("close");
								
								
							}else{
								$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.faseSinDoc});
							}
						}else{
							if(idioma=="eu"){
								$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.expSinFase + " " + $("#efase21_detail_table").val()});
						}else{
								$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.expSinFase + " " + $("#dfase21_detail_table").val()});
							}	
						}
						$("#dialogoEsperaDetalleFasesDetail").hide();
					}
				});
							
					
					/**
					 * Abro el documento
					 */
					/*var url="../aa21b21s01/getDocumentoFaseExpediente?idFaseExp="+cservFase+ "-" + cexpeFase.substring(cexpeFase.indexOf("-")+1) + "-" + cfaseFase + "-" + aexpeFase + "-" + nexpeFase;
					window.location.href=url;
					
					//Muestro el botón de guardar y cierro el dialogo de copia de fases
					$("#FasesExpedienteDetalle_detail_button_save").show();
					$("#dialogSeleccionExpDocFase").rup_dialog("close");*/
					
			}else{
				$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.msjNoRegistro});
			}
		},

		 desactivar:function(){
			$("[id='FasesExpedienteDetalle_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").attr("class","rup-toolbar_button ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-primary ui-button-disabled ui-state-disabled");
			$("[id='FasesExpedienteDetalle_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").prop("disabled",true);
		},
		 activar:function(){
			$("[id='FasesExpedienteDetalle_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").attr("class","rup-toolbar_button ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-primary");
			$("[id='FasesExpedienteDetalle_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").prop("disabled",false);
		},
		
		 handlerConsulta:function(){
			//$("#modoDetalle21").val("C");
			dialogoFase.modo2="C"
			$("#FasesExpedienteDetalle").rup_table("editElement");
			cambiarTitulo("FasesExpedienteDetalle",$.rup.i18n.app.comun.consulta);
		},
		validacionExisteDocumentoAsociado:function(){
			
			/**
			 * Si tiene documento, mostraremos el botón para ver/descargar el documento
			 */
			if($("#codigoPid21_detail_table").val() != null && $("#codigoPid21_detail_table").val() != 0 && $("#codigoPid21_detail_table").val() != "0"){
				if(dialogoFase.modo2 == "C"){
				$("[id='FasesExpedienteDetalle_detail_toolbar##verDocFase']").hide();
				$("[id='FasesExpedienteDetalle_detail_toolbar##verDocFaseAsoc']").show();
				}
				else{
					$("[id='FasesExpedienteDetalle_detail_toolbar##verDocFase']").show();
					$("[id='FasesExpedienteDetalle_detail_toolbar##verDocFaseAsoc']").hide();
				}
				$("#FasesExpedienteDetalle_detail_toolbar").show();
			}else{
				//Si la fase asociada el expediente (tabla 21) no tiene expediente asociado, comprobamos si la fase origen (tabla 01)
				//lo tiene.
				dialogoFase.validacionDocumentoFaseOrigen();
		
			}
		},
		 guardarNdocuFase:function(){
			if($("#FasesCopiaDoc").rup_table("getSelectedRows").length == 1){
				var lineaSel = $("#FasesCopiaDoc").rup_table("getSelectedLines");
				//Campos de la fase que obtendremos el documento
				var idFaseFase = $("#FasesCopiaDoc").rup_table("getRowData")[lineaSel].idFaseExp;
				var cservFase = $("#FasesCopiaDoc").rup_table("getRowData")[lineaSel].cserv21;
				var cexpeFase = $("#FasesCopiaDoc").rup_table("getRowData")[lineaSel].cexpe21;
				var cfaseFase = $("#FasesCopiaDoc").rup_table("getRowData")[lineaSel].cfase21;
				var ndocuFase = $("#FasesCopiaDoc").rup_table("getRowData")[lineaSel].codPid21;
				var aexpeFase = $("#FasesCopiaDoc").rup_table("getRowData")[lineaSel].aexpe21;
				var nexpeFase = $("#FasesCopiaDoc").rup_table("getRowData")[lineaSel].nexpe21;
				//Abrimos el documento de la fase asociada en modo edición		
				var	url="../aa21b21s01/getDocumentoFaseEdit?codPid21="+ndocuFase;
				$("#dialogoEsperaDetalleFasesDetail").show();
				$.ajax({
					type : "GET",
					dataType : "json",			
					contentType : "application/json",
					url : url,
					success : function(xhr, options) {
						//Llamo a la función que pone la pantalla como expediente cerrado
						window.open(xhr[0]);
						dialogoFase.documentoPif=xhr[1];
						$("#pathDocPif_detail_table").val(xhr[1]);
						$("#dialogoEsperaDetalleFasesDetail").hide();
					}});
				//Muestro el botón de guardar y cierro el dialogo de copia de fases
				$("#FasesExpedienteDetalle_detail_button_save").show();
				$("#dialogSeleccionDocFase").rup_dialog("close");
				
			}else{
				$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.msjNoRegistro});
			}
		},
		 validacionDocumentoFaseOrigen:function(){
			$.ajax({
				type : "GET",
				dataType : "json",
				url : "../aa21b01s01/" + $("#cserv21_detail_table").val() + "-" + $("#cexpe21_detail_table").val() + "-" + $("#cfase21_detail_table").val(),
				cache : false,
				success : function(xhr, response) {
					datosFaseExp = xhr;
					
					if(datosFaseExp != null){
					//	console.log("pid"+datosFaseExp.codPid01)
							var ndocu = datosFaseExp.codPid01;
							if(ndocu != null && ndocu != "" && ndocu != "0"){
								$("#FasesExpedienteDetalle_detail_toolbar").show();
								$("[id='FasesExpedienteDetalle_detail_toolbar##verDocFase']").show();
								$("[id='FasesExpedienteDetalle_detail_toolbar##verDocFaseAsoc']").hide();
								/**
								 * Si la fase tiene documento asociado, meto el valor del ndocu de la (01) en el ndocu de la (21)
								 * Asi cuando vaya al controller, puedo obtener el documento y hacer la copia asignando un nuevo ndocu
								 * correlativo en la tabal 21 con su correspondiente documento en la tabla 23
								 */
								$("#ndocuAsociado").val(ndocu);
								$("#codigoPid21_detail_table").val(ndocu);
								
								$("#extdocuAsociado").val(datosFaseExp.extdocu01);
								$("#tdocuAsociado").val(datosFaseExp.tdocu01);
								
							}else{
								$("#FasesExpedienteDetalle_detail_toolbar").hide();
								$("[id='FasesExpedienteDetalle_detail_toolbar##verDocFase']").hide();
								$("[id='FasesExpedienteDetalle_detail_toolbar##verDocFaseAsoc']").hide();
								$("#codigoPid21_detail_table").val("");
							}
						
					}
				}
			});
			
		},
		/**
		 * Función que añade el icono al cursor para indicar que el botón secundario tiene una función. 
		 * También para cambiar el tooltip indicando instrucciones.
		 */
		 fncTableCompleteFasesExpedientes:function(e){
			
			
			//Recorremos la tabla comprobando el campo situación. Si es Baja, le asignaremos el color de fondo a rojo
			if (e.rows != undefined && e.rows.length>0){					
				/*for (var i=0; i<e.rows.length; i++) {	
					var fila = e.rows[i];
					if(fila.situ14=="B"){
						$("tr[id='" + fila.carchi14 + "']").attr("class","ui-widget-content jqgrow ui-row-ltr");
						$("tr[id='" + fila.carchi14 + "']").css("font-style","italic");
						$("tr[id='" + fila.carchi14 + "']").css("background","#848484");
					}
				}*/
			}	
			
			$(".rup-icon-clone").parent().css("display","none");
			
			
		}

	
}






